- Qt 6.11
- Qt SCXML
- C++ Classes
- AssignmentInfo
- Qt 6.11.2 Reference Documentation

# QScxmlExecutableContent::AssignmentInfo Struct

struct QScxmlExecutableContent::AssignmentInfo

The AssingmentInfo class represents a data assignment. More...

Header: | `#include <AssignmentInfo>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Scxml)` `target_link_libraries(mytarget PRIVATE Qt6::Scxml)`
qmake: | `QT += scxml`

- List of all members, including inherited members

## Public Variables

QScxmlExecutableContent::StringId | context
QScxmlExecutableContent::StringId | dest
QScxmlExecutableContent::StringId | expr

## Detailed Description

## Member Variable Documentation

### QScxmlExecutableContent::StringId AssignmentInfo::context

This variable holds the context for evaluating the expression

### QScxmlExecutableContent::StringId AssignmentInfo::dest

This variable holds the name of the data item to assign to

### QScxmlExecutableContent::StringId AssignmentInfo::expr

This variable holds the expression to be evaluated